Bug 84991 - Traceback when asking for version information
Summary: Traceback when asking for version information
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 19:08 UTC by Peter van Egdom
Modified: 2007-04-18 16:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-08 21:41:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter van Egdom 2003-02-24 19:08:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
When using "up2date" in a virtual console (or in an xterm with option --nox),
and asking for the version information using the option "--version", "up2date"
returns a traceback to the shell (see additional information).

This happens in both the up2date version on a freshly installed Phoebe 8.0.94
(up2date-3.1.17-1) and the latest rawhide version of up2date (up2date-3.1.20-1).



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. "up2date --nox --version" (in an xterm).
2. "up2date --version" (in a virtual console).
3.
    

Actual Results:  A traceback gets returned.

Expected Results:  Red Hat Update Agent 3.1.x

Additional info:

Traceback (most recent call last):
  File "/usr/sbin/up2date", line 992, in ?
    main()
  File "/usr/sbin/up2date", line 406, in main
    showVersion(hasGui)
  File "/usr/sbin/up2date", line 805, in showVersion
    print "Red Hat Update Agent v%s" % up2dateUtils.version()
NameError: global name 'up2dateUtils' is not defined

Comment 1 Adrian Likins 2003-02-24 19:17:27 UTC
fixed in 3.1.21

Comment 2 Peter van Egdom 2003-04-08 21:41:12 UTC
Confirmed fixed in "up2date-3.1.23-1" on Red Hat Linux release 9 (Shrike).

Closing bug with resolution "CURRENTRELEASE".

Thanks!


Note You need to log in before you can comment on or make changes to this bug.